PRINTF(1)

NAME
printf - print formatted data

SYNOPSIS
printf format [arg ...]

DESCRIPTION
printf writes formatted data according to format using each arg until drained.

printf interprets the standard escape sequences \\, \', \", \a, \b, \e, \f, \n, \r, \t, \v, \xH[H], \O[OOO], the sequence \c, which terminates further output if it's found inside format or a %b format string, the format specification %b for an unescaped string and all C printf(3) format specifications ending with csdiouxXaAeEfFgG, including variable width and precision.

STANDARDS
The printf utility is compliant with the p1003.1-2013 specification.

The possibility of specifying 4-digit octals is an extension to that specification.